## START: Set by rpmautospec
## (rpmautospec version 0.2.5)
%define autorelease(e:s:pb:) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{?dist}
## END: Set by rpmautospec

# Generated by rust2rpm 21
%bcond_without check
%global debug_package %{nil}

%global crate cap-rand

Name:           rust-%{crate}
Version:        0.24.2
Release:        %autorelease
Summary:        Capability-based random number generators

# Upstream license specification: Apache-2.0 WITH LLVM-exception OR Apache-2.0 OR MIT
License:        ASL 2.0 or MIT
URL:            https://crates.io/crates/cap-rand
Source:         %{crates_source}

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 21

%global _description %{expand:
Capability-based random number generators.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/COPYRIGHT
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-Apache-2.0_WITH_LLVM-exception
%license %{crate_instdir}/LICENSE-MIT
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+small_rng-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+small_rng-devel %{_description}

This package contains library source intended for building other packages which
use the "small_rng" feature of the "%{crate}" crate.

%files       -n %{name}+small_rng-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version_no_tilde} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Wed Apr 13 2022 Fabio Valentini <decathorpe@gmail.com> 0.24.2-1
- Update to version 0.24.2; Fixes RHBZ#2011997

* Fri Feb 04 2022 Fabio Valentini <decathorpe@gmail.com> 0.22.1-1
- Update to version 0.22.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.19.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Thu Sep 23 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.19.1-1
- Update to upstream 0.19.1 (rhbz#1976471)

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.13.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Tue Jun 01 09:45:27 CEST 2021 Olivier Lemasle <o.lemasle@gmail.com> - 0.13.10-1
- Initial package

